> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Player joins a game session



## OpenAPI

````yaml post /activity/playerJoin
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /activity/playerJoin:
    post:
      tags:
        - Player Management
      summary: Player joins a game session
      operationId: postPlayerJoin
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlayerJoinRequest'
      responses:
        '200':
          description: Player joined successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlayerJoinResponse'
        '500':
          description: Internal server error
      security:
        - loader-id: []
components:
  schemas:
    PlayerJoinRequest:
      type: object
      properties:
        playerId:
          type: number
          description: Unique identifier for the player
        platform:
          $ref: '#/components/schemas/PlayerPlatform'
        safechat:
          type: boolean
          description: Indicates if the player has safe chat enabled
        username:
          type: string
          description: Player's username
        tzOffset:
          type: string
          description: Timezone offset from UTC, in ISO 8601 format
      required:
        - playerId
        - platform
        - safechat
    PlayerJoinResponse:
      type: object
      properties:
        success:
          type: boolean
        banned:
          type: boolean
        reason:
          type: string
          nullable: true
        isStaff:
          type: boolean
        sessionId:
          type: string
        runningPlayerId:
          type: string
    PlayerPlatform:
      type: string
      enum:
        - Phone
        - Tablet
        - Console
        - Desktop
        - unknown
      description: The platform from which the player is accessing the game.
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````